コメントコンポーネントのリンクをコピーする際にリンクのURL構成について解説します。
リンクのURL構成
copiedLinkFormatterプロパティを使用して、リンクのURLを設定できます。この機能を使用すると、稼働環境のドメインと異なるURLを指定することができます。
設定例は以下の通りです。
URL構成のパラメータ設定
copiedLinkSearchParamsプロパティを利用して、リンクをコピーする際のURL構成を組み込みのパラメータやカスタムパラメータで設定することができます。copiedLinkSearchParamsプロパティには、GcCommentLinkSearchParams列挙体の次の値を設定するか、Key/Valueペアでカスタムパラメータを設定することができます。デフォルトでは、copiedLinkSearchParamsがGcCommentLinkSearchParams.CommentIdに設定されます。
GcCommentLinkSearchParams の値
説明
ComponentId
コメントコンポーネントID
CommentId
コメントID
PostTime
投稿日時
UpdateTime
更新日時
PosterId
投稿者ID
PosterName
投稿者名
UserId
ユーザーID
UserName
ユーザー名
設定例は以下の通りです。
注意事項
copiedLinkFormatterプロパティが設定される場合、copiedLinkSearchParamsオプションが無効になります。
設定するパラメータの値に漢字またはふりがなが含まれる場合、decodeURI()関数で値を変換してURLに構成されます。
import './styles.css';
import '@mescius/inputman.comment/CSS/gc.inputman.comment.css';
import '@mescius/inputman/CSS/gc.inputman-js.css';
import '@mescius/inputman.richtexteditor/CSS/gc.inputman.richtexteditor.css';
import { InputMan } from '@mescius/inputman.comment';
import * as RichTextEditorControl from '@mescius/inputman.richtexteditor';
import * as GcCommonControl from '@mescius/inputman';
import { postedComments } from './data';
const gcComment = new InputMan.GcComment(document.getElementById('gcComment'), {
openLinkMode: InputMan.OpenLinkMode.GoToComment,
editorConfig: {
editorType: InputMan.GcCommentEditorType.GcRichTextEditor,
height: 150,
menubar: [],
},
addCommentEditorPosition: InputMan.GcCommentEditorPosition.Top,
copiedLinkSearchParams: [
InputMan.GcCommentLinkSearchParams.ComponentId,
InputMan.GcCommentLinkSearchParams.CommentId,
InputMan.GcCommentLinkSearchParams.PostTime,
InputMan.GcCommentLinkSearchParams.PosterId,
InputMan.GcCommentLinkSearchParams.PosterName,
InputMan.GcCommentLinkSearchParams.UpdateTime,
InputMan.GcCommentLinkSearchParams.UserId,
InputMan.GcCommentLinkSearchParams.UserName,
{ key: 'staticCustomParam', value: 'staticCustomValue' },
{ key: 'dynamicCustomParam', value: (comment) => `dynamicCustomValue${comment.userInfo.avatar}` },
],
userInfo: {
id: '1',
name: '森上 偉久馬',
avatar: '$IMDEMOROOT$/ja/samples/comment/copylink/format/img/avatar1.png',
},
loadComments: (args) => {
return {
comments: postedComments,
};
},
});
const gcMultiLineTextBox1 = new GcCommonControl.InputMan.GcMultiLineTextBox(document.getElementById('gcMultiLineTextBox1'), {
width: 600,
height: 150
});
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="ie=edge">
<meta name="description" content="コメントコンポーネント 使い方" lang="ja" xml:lang="ja" />
<title>コメントコンポーネント - リンクのコピー</title>
<!-- SystemJS -->
<script src="node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
window.onload = function () {
System.import('./src/app');
}
</script>
</head>
<body>
<div id="gcComment"></div>
<div>
コメントのリンクをコピーして、こちらに貼り付けてください<br>
<textarea id="gcMultiLineTextBox1"></textarea>
</div>
</body>
</html>
body {
box-sizing: content-box !important;
height: 551px !important;
}
export const postedComments = [
{
id: '1',
userInfo: {
id: '1',
name: '森上 偉久馬',
avatar: '$IMDEMOROOT$/ja/samples/comment/copylink/format/img/avatar1.png',
},
content: `<b>このサンプルでは、コメントをコピーする際にクリップボードに保存されるURL構成を確認することができます。</b>
<p>組込みのパラメータを使用して、簡単にURL構成を変更できます。</p>`,
postTime: new Date(2025, 3, 1, 8, 0, 0),
updateTime: new Date(2025, 3, 1, 8, 0, 0),
reactions: [
{
reactionChar: '👍',
count: 2,
},
],
},
{
id: '2',
userInfo: {
id: '5',
name: '松沢 誠一',
avatar: '$IMDEMOROOT$/ja/samples/comment/copylink/format/img/avatar5.png',
},
content: '設定するパラメータの値に漢字またはふりがなが含まれる場合、decodeURI()関数で値を変換してURLに構成されます。',
postTime: new Date(2025, 3, 23, 8, 1, 59),
updateTime: new Date(2025, 3, 23, 8, 1, 59),
},
];
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/inputman': 'npm:@mescius/inputman/index.js',
'@mescius/inputman/CSS': 'npm:@mescius/inputman/CSS',
'@mescius/inputman.richtexteditor': 'npm:@mescius/inputman.richtexteditor/index.js',
"@mescius/inputman.richtexteditor/CSS": "npm:@mescius/inputman.richtexteditor/CSS",
'@mescius/inputman.richtexteditor/JS/plugins/advlist': 'npm:@mescius/inputman.richtexteditor/JS/plugins/advlist/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/all': 'npm:@mescius/inputman.richtexteditor/JS/plugins/all/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/autosave': 'npm:@mescius/inputman.richtexteditor/JS/plugins/autosave/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/charmap': 'npm:@mescius/inputman.richtexteditor/JS/plugins/charmap/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/directionality': 'npm:@mescius/inputman.richtexteditor/JS/plugins/directionality/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/emoticons': 'npm:@mescius/inputman.richtexteditor/JS/plugins/emoticons/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/fullscreen': 'npm:@mescius/inputman.richtexteditor/JS/plugins/fullscreen/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/htmlcode': 'npm:@mescius/inputman.richtexteditor/JS/plugins/htmlcode/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/image': 'npm:@mescius/inputman.richtexteditor/JS/plugins/image/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/link': 'npm:@mescius/inputman.richtexteditor/JS/plugins/link/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/lists': 'npm:@mescius/inputman.richtexteditor/JS/plugins/lists/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/media': 'npm:@mescius/inputman.richtexteditor/JS/plugins/media/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/pagebreak': 'npm:@mescius/inputman.richtexteditor/JS/plugins/pagebreak/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/preview': 'npm:@mescius/inputman.richtexteditor/JS/plugins/preview/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/save': 'npm:@mescius/inputman.richtexteditor/JS/plugins/save/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/searchreplace': 'npm:@mescius/inputman.richtexteditor/JS/plugins/searchreplace/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/table': 'npm:@mescius/inputman.richtexteditor/JS/plugins/table/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/template': 'npm:@mescius/inputman.richtexteditor/JS/plugins/template/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/wordcount': 'npm:@mescius/inputman.richtexteditor/JS/plugins/wordcount/plugin.js',
'@mescius/inputman.comment': 'npm:@mescius/inputman.comment/index.js',
'@mescius/inputman.comment/CSS': 'npm:@mescius/inputman.comment/CSS',
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-resources-ja': 'npm:@mescius/spread-sheets-resources-ja/index.js',
'@mescius/spread-sheets/styles': 'npm:@mescius/spread-sheets/styles',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
}
});

コメントコンポーネントのリンクをコピーする際にリンクのURL構成について解説します。
リンクのURL構成
copiedLinkFormatterプロパティを使用して、リンクのURLを設定できます。この機能を使用すると、稼働環境のドメインと異なるURLを指定することができます。
設定例は以下の通りです。
URL構成のパラメータ設定
copiedLinkSearchParamsプロパティを利用して、リンクをコピーする際のURL構成を組み込みのパラメータやカスタムパラメータで設定することができます。copiedLinkSearchParamsプロパティには、GcCommentLinkSearchParams列挙体の次の値を設定するか、Key/Valueペアでカスタムパラメータを設定することができます。デフォルトでは、copiedLinkSearchParamsがGcCommentLinkSearchParams.CommentIdに設定されます。
GcCommentLinkSearchParams の値
説明
ComponentId
コメントコンポーネントID
CommentId
コメントID
PostTime
投稿日時
UpdateTime
更新日時
PosterId
投稿者ID
PosterName
投稿者名
UserId
ユーザーID
UserName
ユーザー名
設定例は以下の通りです。
注意事項
copiedLinkFormatterプロパティが設定される場合、copiedLinkSearchParamsオプションが無効になります。
設定するパラメータの値に漢字またはふりがなが含まれる場合、decodeURI()関数で値を変換してURLに構成されます。
import * as React from "react";
import * as ReactDom from "react-dom";
import './styles.css';
import '@mescius/inputman.comment/CSS/gc.inputman.comment.css';
import '@mescius/inputman/CSS/gc.inputman-js.css';
import '@mescius/inputman.richtexteditor/CSS/gc.inputman.richtexteditor.css';
import { GcComment } from "@mescius/inputman.comment.react";
import { GcMultiLineTextBox } from "@mescius/inputman.react";
import * as GcCommentControl from "@mescius/inputman.comment";
import * as GcCommonControl from "@mescius/inputman";
import * as GcRichTextEditorControl from "@mescius/inputman.richtexteditor";
import { postedComments } from './data';
const App = () => {
const editorConfig = {
editorType: GcCommentControl.InputMan.GcCommentEditorType.GcRichTextEditor,
height: 150,
menubar: [],
};
const userInfo = {
id: '1',
name: '森上 偉久馬',
avatar: '$IMDEMOROOT$/ja/samples/comment/copylink/format/img/avatar1.png',
};
const loadComments = (args) => {
return {
comments: postedComments,
};
};
const copiedLinkSearchParams = [
GcCommentControl.InputMan.GcCommentLinkSearchParams.ComponentId,
GcCommentControl.InputMan.GcCommentLinkSearchParams.CommentId,
GcCommentControl.InputMan.GcCommentLinkSearchParams.PostTime,
GcCommentControl.InputMan.GcCommentLinkSearchParams.PosterId,
GcCommentControl.InputMan.GcCommentLinkSearchParams.PosterName,
GcCommentControl.InputMan.GcCommentLinkSearchParams.UpdateTime,
GcCommentControl.InputMan.GcCommentLinkSearchParams.UserId,
GcCommentControl.InputMan.GcCommentLinkSearchParams.UserName,
{ key: 'staticCustomParam', value: 'staticCustomValue' },
{ key: 'dynamicCustomParam', value: (comment) => `dynamicCustomValue${comment.userInfo.avatar}` },
];
return (
<div>
<GcComment
openLinkMode={GcCommentControl.InputMan.OpenLinkMode.GoToComment}
editorConfig={editorConfig}
addCommentEditorPosition={GcCommentControl.InputMan.GcCommentEditorPosition.Top}
copiedLinkSearchParams={copiedLinkSearchParams}
userInfo={userInfo}
loadComments={loadComments}
/>
<div>
コメントのリンクをコピーして、こちらに貼り付けてください<br />
<GcMultiLineTextBox
width={600}
height={150}
/>
</div>
</div>
);
};
ReactDom.render(<App />, document.getElementById("app"));
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="ie=edge">
<meta name="description" content="" lang="ja" xml:lang="ja" />
<title>コメントコンポーネント - リンクのコピー</title>
<!-- SystemJS -->
<script src="node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
window.onload = function() {
System.import('./src/app');
}
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
export const postedComments = [
{
id: '1',
userInfo: {
id: '1',
name: '森上 偉久馬',
avatar: '$IMDEMOROOT$/ja/samples/comment/copylink/format/img/avatar1.png',
},
content: `<b>このサンプルでは、コメントをコピーする際にクリップボードに保存されるURL構成を確認することができます。</b>
<p>組込みのパラメータを使用して、簡単にURL構成を変更できます。</p>`,
postTime: new Date(2025, 3, 1, 8, 0, 0),
updateTime: new Date(2025, 3, 1, 8, 0, 0),
reactions: [
{
reactionChar: '👍',
count: 2,
},
],
},
{
id: '2',
userInfo: {
id: '5',
name: '松沢 誠一',
avatar: '$IMDEMOROOT$/ja/samples/comment/copylink/format/img/avatar5.png',
},
content: '設定するパラメータの値に漢字またはふりがなが含まれる場合、decodeURI()関数で値を変換してURLに構成されます。',
postTime: new Date(2025, 3, 23, 8, 1, 59),
updateTime: new Date(2025, 3, 23, 8, 1, 59),
},
];
body {
box-sizing: content-box !important;
height: 551px !important;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true,
},
meta: {
'*.css': { loader: 'css' },
},
paths: {
// paths serve as alias
'npm:': 'node_modules/',
},
// map tells the System loader where to look for things
map: {
'@mescius/inputman': 'npm:@mescius/inputman/index.js',
'@mescius/inputman.react': 'npm:@mescius/inputman.react/GcInputMan.component.js',
'@mescius/inputman/CSS': 'npm:@mescius/inputman/CSS',
'@mescius/inputman.comment': 'npm:@mescius/inputman.comment/index.js',
'@mescius/inputman.comment.react': 'npm:@mescius/inputman.comment.react/GcInputMan.component.js',
'@mescius/inputman.comment/CSS': 'npm:@mescius/inputman.comment/CSS',
'@mescius/inputman.richtexteditor': 'npm:@mescius/inputman.richtexteditor/index.js',
'@mescius/inputman.richtexteditor.react': 'npm:@mescius/inputman.richtexteditor.react/GcInputMan.component.js',
'@mescius/inputman.richtexteditor/CSS': 'npm:@mescius/inputman.richtexteditor/CSS',
'@mescius/inputman.richtexteditor/JS/plugins/advlist': 'npm:@mescius/inputman.richtexteditor/JS/plugins/advlist/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/all': 'npm:@mescius/inputman.richtexteditor/JS/plugins/all/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/autosave': 'npm:@mescius/inputman.richtexteditor/JS/plugins/autosave/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/charmap': 'npm:@mescius/inputman.richtexteditor/JS/plugins/charmap/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/directionality': 'npm:@mescius/inputman.richtexteditor/JS/plugins/directionality/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/emoticons': 'npm:@mescius/inputman.richtexteditor/JS/plugins/emoticons/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/fullscreen': 'npm:@mescius/inputman.richtexteditor/JS/plugins/fullscreen/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/htmlcode': 'npm:@mescius/inputman.richtexteditor/JS/plugins/htmlcode/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/image': 'npm:@mescius/inputman.richtexteditor/JS/plugins/image/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/link': 'npm:@mescius/inputman.richtexteditor/JS/plugins/link/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/lists': 'npm:@mescius/inputman.richtexteditor/JS/plugins/lists/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/media': 'npm:@mescius/inputman.richtexteditor/JS/plugins/media/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/pagebreak': 'npm:@mescius/inputman.richtexteditor/JS/plugins/pagebreak/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/preview': 'npm:@mescius/inputman.richtexteditor/JS/plugins/preview/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/save': 'npm:@mescius/inputman.richtexteditor/JS/plugins/save/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/searchreplace': 'npm:@mescius/inputman.richtexteditor/JS/plugins/searchreplace/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/table': 'npm:@mescius/inputman.richtexteditor/JS/plugins/table/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/template': 'npm:@mescius/inputman.richtexteditor/JS/plugins/template/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/wordcount': 'npm:@mescius/inputman.richtexteditor/JS/plugins/wordcount/plugin.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.interop.grid': 'npm:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.react.grid': 'npm:@mescius/wijmo.react.grid/index.js',
'@mescius/wijmo.react.base': 'npm:@mescius/wijmo.react.base/index.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-resources-ja': 'npm:@mescius/spread-sheets-resources-ja/index.js',
'@mescius/spread-sheets/styles': 'npm:@mescius/spread-sheets/styles',
'react': 'npm:react/umd/react.production.min.js',
'react-dom': 'npm:react-dom/umd/react-dom.production.min.js',
'react-dom/client': 'npm:react-dom/umd/react-dom.production.min.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx',
},
'node_modules': {
defaultExtension: 'js',
},
},
});
})(this);

コメントコンポーネントのリンクをコピーする際にリンクのURL構成について解説します。
リンクのURL構成
copiedLinkFormatterプロパティを使用して、リンクのURLを設定できます。この機能を使用すると、稼働環境のドメインと異なるURLを指定することができます。
設定例は以下の通りです。
URL構成のパラメータ設定
copiedLinkSearchParamsプロパティを利用して、リンクをコピーする際のURL構成を組み込みのパラメータやカスタムパラメータで設定することができます。copiedLinkSearchParamsプロパティには、GcCommentLinkSearchParams列挙体の次の値を設定するか、Key/Valueペアでカスタムパラメータを設定することができます。デフォルトでは、copiedLinkSearchParamsがGcCommentLinkSearchParams.CommentIdに設定されます。
GcCommentLinkSearchParams の値
説明
ComponentId
コメントコンポーネントID
CommentId
コメントID
PostTime
投稿日時
UpdateTime
更新日時
PosterId
投稿者ID
PosterName
投稿者名
UserId
ユーザーID
UserName
ユーザー名
設定例は以下の通りです。
注意事項
copiedLinkFormatterプロパティが設定される場合、copiedLinkSearchParamsオプションが無効になります。
設定するパラメータの値に漢字またはふりがなが含まれる場合、decodeURI()関数で値を変換してURLに構成されます。
import { bootstrapApplication } from '@angular/platform-browser';
import { BrowserModule } from '@angular/platform-browser';
import { FormsModule } from '@angular/forms';
import { InputManModule as InputManCommentModule } from "@mescius/inputman.comment.angular";
import { InputManModule as InputManCommonModule } from "@mescius/inputman.angular";
import '@mescius/inputman.comment/CSS/gc.inputman.comment.css';
import '@mescius/inputman/CSS/gc.inputman-js.css';
import '@mescius/inputman.richtexteditor/CSS/gc.inputman.richtexteditor.css';
import { Component } from '@angular/core';
import * as GCComment from '@mescius/inputman.comment';
import '@mescius/inputman.richtexteditor';
import { postedComments } from './data';
@Component({
selector: 'app-component',
templateUrl: './app.component.html',
imports: [InputManCommentModule, InputManCommonModule, FormsModule],
standalone: true
})
export class AppComponent {
public openLinkMode = GCComment.InputMan.OpenLinkMode.GoToComment;
public editorConfig: GCComment.InputMan.EditorConfig = {
editorType: GCComment.InputMan.GcCommentEditorType.GcRichTextEditor,
height: 150,
menubar: []
};
public addCommentEditorPosition = GCComment.InputMan.GcCommentEditorPosition.Top;
public copiedLinkSearchParams = [
GCComment.InputMan.GcCommentLinkSearchParams.ComponentId,
GCComment.InputMan.GcCommentLinkSearchParams.CommentId,
GCComment.InputMan.GcCommentLinkSearchParams.PostTime,
GCComment.InputMan.GcCommentLinkSearchParams.PosterId,
GCComment.InputMan.GcCommentLinkSearchParams.PosterName,
GCComment.InputMan.GcCommentLinkSearchParams.UpdateTime,
GCComment.InputMan.GcCommentLinkSearchParams.UserId,
GCComment.InputMan.GcCommentLinkSearchParams.UserName,
{ key: 'staticCustomParam', value: 'staticCustomValue' },
{ key: 'dynamicCustomParam', value: (comment: GCComment.InputMan.IComment) => `dynamicCustomValue${comment.userInfo.avatar}` }
];
public userInfo = {
id: '1',
name: '森上 偉久馬',
avatar: '$IMDEMOROOT$/ja/samples/comment/copylink/format/img/avatar1.png'
};
public loadComments = (args: GCComment.InputMan.LoadMoreCommentsInfo) => {
return {
comments: postedComments
};
};
}
bootstrapApplication(AppComponent).catch(err => console.error(err));
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="description" content="" lang="ja" xml:lang="ja" />
<title>コメントコンポーネント - リンクのコピー</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- Polyfills -->
<script src="node_modules/core-js/client/shim.min.js"></script>
<script src="node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
window.onload = function() {
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('./src/app.component');
});
}
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div>
<gc-comment
[openLinkMode]="openLinkMode"
[editorConfig]="editorConfig"
[addCommentEditorPosition]="addCommentEditorPosition"
[copiedLinkSearchParams]="copiedLinkSearchParams"
[userInfo]="userInfo"
[loadComments]="loadComments"
></gc-comment>
</div>
<div>
コメントのリンクをコピーして、こちらに貼り付けてください<br>
<gc-multiline-textbox [width]="600" [height]="150"></gc-multiline-textbox>
</div>
export const postedComments = [
{
id: '1',
userInfo: {
id: '1',
name: '森上 偉久馬',
avatar: '$IMDEMOROOT$/ja/samples/comment/copylink/format/img/avatar1.png',
},
content: `<b>このサンプルでは、コメントをコピーする際にクリップボードに保存されるURL構成を確認することができます。</b>
<p>組込みのパラメータを使用して、簡単にURL構成を変更できます。</p>`,
postTime: new Date(2025, 3, 1, 8, 0, 0),
updateTime: new Date(2025, 3, 1, 8, 0, 0),
reactions: [
{
reactionChar: '👍',
count: 2,
},
],
},
{
id: '2',
userInfo: {
id: '5',
name: '松沢 誠一',
avatar: '$IMDEMOROOT$/ja/samples/comment/copylink/format/img/avatar5.png',
},
content: '設定するパラメータの値に漢字またはふりがなが含まれる場合、decodeURI()関数で値を変換してURLに構成されます。',
postTime: new Date(2025, 3, 23, 8, 1, 59),
updateTime: new Date(2025, 3, 23, 8, 1, 59),
},
];
body {
box-sizing: content-box !important;
height: 551px !important;
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'core-js': 'npm:core-js/client/shim.min.js',
'zone': 'npm:zone.js/fesm2015/zone.min.js',
//'reflect-metadata': 'npm:reflect-metadata/Reflect.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
//'rxjs': 'npm:rxjs',
//'rxjs/operators': 'npm:rxjs/operators',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'@mescius/inputman': 'npm:@mescius/inputman/index.js',
'@mescius/inputman.angular': 'npm:@mescius/inputman.angular/fesm2015/mescius-inputman.angular.mjs',
'@mescius/inputman.richtexteditor': 'npm:@mescius/inputman.richtexteditor/index.js',
'@mescius/inputman.richtexteditor.angular': 'npm:@mescius/inputman.richtexteditor.angular/fesm2015/mescius-inputman.richtexteditor.angular.mjs',
'@mescius/inputman.comment': 'npm:@mescius/inputman.comment/index.js',
'@mescius/inputman.comment.angular': 'npm:@mescius/inputman.comment.angular/fesm2015/mescius-inputman.comment.angular.mjs',
'@mescius/inputman/CSS': 'npm:@mescius/inputman/CSS',
"@mescius/inputman.richtexteditor/CSS": "npm:@mescius/inputman.richtexteditor/CSS",
'@mescius/inputman.richtexteditor/JS/plugins/advlist': 'npm:@mescius/inputman.richtexteditor/JS/plugins/advlist/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/all': 'npm:@mescius/inputman.richtexteditor/JS/plugins/all/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/autosave': 'npm:@mescius/inputman.richtexteditor/JS/plugins/autosave/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/charmap': 'npm:@mescius/inputman.richtexteditor/JS/plugins/charmap/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/directionality': 'npm:@mescius/inputman.richtexteditor/JS/plugins/directionality/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/emoticons': 'npm:@mescius/inputman.richtexteditor/JS/plugins/emoticons/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/fullscreen': 'npm:@mescius/inputman.richtexteditor/JS/plugins/fullscreen/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/htmlcode': 'npm:@mescius/inputman.richtexteditor/JS/plugins/htmlcode/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/image': 'npm:@mescius/inputman.richtexteditor/JS/plugins/image/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/link': 'npm:@mescius/inputman.richtexteditor/JS/plugins/link/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/lists': 'npm:@mescius/inputman.richtexteditor/JS/plugins/lists/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/media': 'npm:@mescius/inputman.richtexteditor/JS/plugins/media/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/pagebreak': 'npm:@mescius/inputman.richtexteditor/JS/plugins/pagebreak/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/preview': 'npm:@mescius/inputman.richtexteditor/JS/plugins/preview/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/save': 'npm:@mescius/inputman.richtexteditor/JS/plugins/save/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/searchreplace': 'npm:@mescius/inputman.richtexteditor/JS/plugins/searchreplace/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/table': 'npm:@mescius/inputman.richtexteditor/JS/plugins/table/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/template': 'npm:@mescius/inputman.richtexteditor/JS/plugins/template/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/wordcount': 'npm:@mescius/inputman.richtexteditor/JS/plugins/wordcount/plugin.js',
'@mescius/inputman.comment/CSS': 'npm:@mescius/inputman.comment/CSS',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-resources-ja': 'npm:@mescius/spread-sheets-resources-ja/index.js',
'@mescius/spread-sheets/styles': 'npm:@mescius/spread-sheets/styles',
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib': 'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts',
meta: {
"*.component.ts": {
loader: "system.component-loader.js"
}
}
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"@mescius/inputman": {
defaultExtension: 'js'
},
"@mescius/inputman.richtexteditor": {
defaultExtension: 'js'
},
"@mescius/inputman.comment": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/inputman.angular": {
defaultExtension: 'mjs'
},
"@mescius/inputman.comment.angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
},
"@mescius/inputman.richtexteditor.angular": {
defaultExtension: 'mjs'
},
}
});
})(this);

コメントコンポーネントのリンクをコピーする際にリンクのURL構成について解説します。
リンクのURL構成
copiedLinkFormatterプロパティを使用して、リンクのURLを設定できます。この機能を使用すると、稼働環境のドメインと異なるURLを指定することができます。
設定例は以下の通りです。
URL構成のパラメータ設定
copiedLinkSearchParamsプロパティを利用して、リンクをコピーする際のURL構成を組み込みのパラメータやカスタムパラメータで設定することができます。copiedLinkSearchParamsプロパティには、GcCommentLinkSearchParams列挙体の次の値を設定するか、Key/Valueペアでカスタムパラメータを設定することができます。デフォルトでは、copiedLinkSearchParamsがGcCommentLinkSearchParams.CommentIdに設定されます。
GcCommentLinkSearchParams の値
説明
ComponentId
コメントコンポーネントID
CommentId
コメントID
PostTime
投稿日時
UpdateTime
更新日時
PosterId
投稿者ID
PosterName
投稿者名
UserId
ユーザーID
UserName
ユーザー名
設定例は以下の通りです。
注意事項
copiedLinkFormatterプロパティが設定される場合、copiedLinkSearchParamsオプションが無効になります。
設定するパラメータの値に漢字またはふりがなが含まれる場合、decodeURI()関数で値を変換してURLに構成されます。
<template>
<div>
<GcCommentComponent
:openLinkMode="InputMan.OpenLinkMode.GoToComment"
:editorConfig="editorConfig"
:addCommentEditorPosition="addCommentEditorPosition"
:copiedLinkSearchParams="copiedLinkSearchParams"
:userInfo="userInfo"
:loadComments="loadComments"
></GcCommentComponent>
<div>
コメントのリンクをコピーして、こちらに貼り付けてください<br>
<GcMultiLineTextBoxComponent
:width="600"
:height="150"
></GcMultiLineTextBoxComponent>
</div>
</div>
</template>
<script setup>
import './styles.css';
import '@mescius/inputman.comment/CSS/gc.inputman.comment.css';
import '@mescius/inputman/CSS/gc.inputman-js.css';
import '@mescius/inputman.richtexteditor/CSS/gc.inputman.richtexteditor.css';
import { GcCommentComponent } from '@mescius/inputman.comment.vue';
import { GcMultiLineTextBoxComponent } from '@mescius/inputman.vue';
import { InputMan } from '@mescius/inputman.comment';
import { postedComments } from './data.js';
import '@mescius/inputman.richtexteditor';
const editorConfig = {
editorType: InputMan.GcCommentEditorType.GcRichTextEditor,
height: 150,
menubar: [],
};
const addCommentEditorPosition = InputMan.GcCommentEditorPosition.Top;
const copiedLinkSearchParams = [
InputMan.GcCommentLinkSearchParams.ComponentId,
InputMan.GcCommentLinkSearchParams.CommentId,
InputMan.GcCommentLinkSearchParams.PostTime,
InputMan.GcCommentLinkSearchParams.PosterId,
InputMan.GcCommentLinkSearchParams.PosterName,
InputMan.GcCommentLinkSearchParams.UpdateTime,
InputMan.GcCommentLinkSearchParams.UserId,
InputMan.GcCommentLinkSearchParams.UserName,
{ key: 'staticCustomParam', value: 'staticCustomValue' },
{ key: 'dynamicCustomParam', value: (comment) => `dynamicCustomValue${comment.userInfo.avatar}` },
];
const userInfo = {
id: '1',
name: '森上 偉久馬',
avatar: '$IMDEMOROOT$/ja/samples/comment/copylink/format/img/avatar1.png',
};
const loadComments = (args) => {
return {
comments: postedComments,
};
};
</script>
<style src="./styles.css"></style>
<!doctype html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="description" content="" lang="ja" xml:lang="ja" />
<title>コメントコンポーネント - リンクのコピー</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<script src="node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script src="compiler.js" type="module"></script>
<script>
window.onload = function() {
var System = SystemJS;
System.import("./src/app.js");
}
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
export const postedComments = [
{
id: '1',
userInfo: {
id: '1',
name: '森上 偉久馬',
avatar: '$IMDEMOROOT$/ja/samples/comment/copylink/format/img/avatar1.png',
},
content: `<b>このサンプルでは、コメントをコピーする際にクリップボードに保存されるURL構成を確認することができます。</b>
<p>組込みのパラメータを使用して、簡単にURL構成を変更できます。</p>`,
postTime: new Date(2025, 3, 1, 8, 0, 0),
updateTime: new Date(2025, 3, 1, 8, 0, 0),
reactions: [
{
reactionChar: '👍',
count: 2,
},
],
},
{
id: '2',
userInfo: {
id: '5',
name: '松沢 誠一',
avatar: '$IMDEMOROOT$/ja/samples/comment/copylink/format/img/avatar5.png',
},
content: '設定するパラメータの値に漢字またはふりがなが含まれる場合、decodeURI()関数で値を変換してURLに構成されます。',
postTime: new Date(2025, 3, 23, 8, 1, 59),
updateTime: new Date(2025, 3, 23, 8, 1, 59),
},
];
body {
box-sizing: content-box !important;
height: 551px !important;
}
(function (global) {
SystemJS.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
packageConfigPaths: [
'./node_modules/*/package.json',
"./node_modules/@mescius/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json"
],
map: {
'vue': "npm:vue/dist/vue.esm-browser.js",
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
"systemjs-babel-build": "npm:systemjs-plugin-babel/systemjs-babel-browser.js",
"@mescius/inputman": 'npm:@mescius/inputman/index.js',
"@mescius/inputman.vue": 'npm:@mescius/inputman.vue/lib/gc.inputman.plugin.vue.js',
"@mescius/inputman/CSS": "npm:@mescius/inputman/CSS",
"@mescius/inputman.richtexteditor": "npm:@mescius/inputman.richtexteditor/index.js",
"@mescius/inputman.richtexteditor.vue": "npm:/@mescius/inputman.richtexteditor.vue/lib/gc.inputman.richtexteditor.plugin.vue.js",
"@mescius/inputman.richtexteditor/CSS": "npm:@mescius/inputman.richtexteditor/CSS",
'@mescius/inputman.richtexteditor/JS/plugins/advlist': 'npm:@mescius/inputman.richtexteditor/JS/plugins/advlist/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/all': 'npm:@mescius/inputman.richtexteditor/JS/plugins/all/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/autosave': 'npm:@mescius/inputman.richtexteditor/JS/plugins/autosave/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/charmap': 'npm:@mescius/inputman.richtexteditor/JS/plugins/charmap/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/directionality': 'npm:@mescius/inputman.richtexteditor/JS/plugins/directionality/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/emoticons': 'npm:@mescius/inputman.richtexteditor/JS/plugins/emoticons/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/fullscreen': 'npm:@mescius/inputman.richtexteditor/JS/plugins/fullscreen/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/htmlcode': 'npm:@mescius/inputman.richtexteditor/JS/plugins/htmlcode/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/image': 'npm:@mescius/inputman.richtexteditor/JS/plugins/image/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/link': 'npm:@mescius/inputman.richtexteditor/JS/plugins/link/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/lists': 'npm:@mescius/inputman.richtexteditor/JS/plugins/lists/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/media': 'npm:@mescius/inputman.richtexteditor/JS/plugins/media/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/pagebreak': 'npm:@mescius/inputman.richtexteditor/JS/plugins/pagebreak/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/preview': 'npm:@mescius/inputman.richtexteditor/JS/plugins/preview/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/save': 'npm:@mescius/inputman.richtexteditor/JS/plugins/save/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/searchreplace': 'npm:@mescius/inputman.richtexteditor/JS/plugins/searchreplace/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/table': 'npm:@mescius/inputman.richtexteditor/JS/plugins/table/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/template': 'npm:@mescius/inputman.richtexteditor/JS/plugins/template/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/wordcount': 'npm:@mescius/inputman.richtexteditor/JS/plugins/wordcount/plugin.js',
"@mescius/inputman.comment": 'npm:@mescius/inputman.comment/index.js',
"@mescius/inputman.comment.vue": 'npm:@mescius/inputman.comment.vue/lib/gc.inputman.comment.plugin.vue.js',
"@mescius/inputman.comment/CSS": "npm:@mescius/inputman.comment/CSS",
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures/wijmo.culture.ja.js',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-resources-ja': 'npm:@mescius/spread-sheets-resources-ja/index.js',
'@mescius/spread-sheets/styles': 'npm:@mescius/spread-sheets/styles',
'css': 'npm:systemjs-plugin-css/css.js',
},
meta: {
'*.css': { loader: 'css' },
'*.vue': { loader: "../plugin-vue/index.js" }
}
});
})(this);